#ifndef IOMANAGER_H
#define IOMANAGER_H
#include "definition.h"
#include <PCF8574.h>

class IOManager
{
  friend class SAB;
  public:
    void setISROnIOChange(void (*isrFunc)(), Pin pin = GPIO_0);
    PCF8574 &getPcf();
  protected:
    IOManager(PCF8574 &pcf);
  private:
    PCF8574 &_pcf;
};

#endif //IOMANAGER_H
